curl --request POST \
--url https://api.riskportal.activeviam.com/api/MarketData/GetFxCrosses \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json-patch+json' \
--data '
{
"$type": "Derivitec.Web.Core.MarketData.ApiGetFxCrossesRequest, Derivitec.Web.Core",
"fx_pairs": [
"<string>"
],
"market_dates": [
"2023-11-07T05:31:56Z"
],
"descriptors": [
{
"key": "<string>"
}
]
}
'import requests
url = "https://api.riskportal.activeviam.com/api/MarketData/GetFxCrosses"
payload = {
"$type": "Derivitec.Web.Core.MarketData.ApiGetFxCrossesRequest, Derivitec.Web.Core",
"fx_pairs": ["<string>"],
"market_dates": ["2023-11-07T05:31:56Z"],
"descriptors": [{ "key": "<string>" }]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json-patch+json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json-patch+json'},
body: JSON.stringify({
$type: 'Derivitec.Web.Core.MarketData.ApiGetFxCrossesRequest, Derivitec.Web.Core',
fx_pairs: ['<string>'],
market_dates: ['2023-11-07T05:31:56Z'],
descriptors: [{key: '<string>'}]
})
};
fetch('https://api.riskportal.activeviam.com/api/MarketData/GetFxCrosses', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.riskportal.activeviam.com/api/MarketData/GetFxCrosses",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'$type' => 'Derivitec.Web.Core.MarketData.ApiGetFxCrossesRequest, Derivitec.Web.Core',
'fx_pairs' => [
'<string>'
],
'market_dates' => [
'2023-11-07T05:31:56Z'
],
'descriptors' => [
[
'key' => '<string>'
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json-patch+json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.riskportal.activeviam.com/api/MarketData/GetFxCrosses"
payload := strings.NewReader("{\n \"$type\": \"Derivitec.Web.Core.MarketData.ApiGetFxCrossesRequest, Derivitec.Web.Core\",\n \"fx_pairs\": [\n \"<string>\"\n ],\n \"market_dates\": [\n \"2023-11-07T05:31:56Z\"\n ],\n \"descriptors\": [\n {\n \"key\": \"<string>\"\n }\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json-patch+json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.riskportal.activeviam.com/api/MarketData/GetFxCrosses")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json-patch+json")
.body("{\n \"$type\": \"Derivitec.Web.Core.MarketData.ApiGetFxCrossesRequest, Derivitec.Web.Core\",\n \"fx_pairs\": [\n \"<string>\"\n ],\n \"market_dates\": [\n \"2023-11-07T05:31:56Z\"\n ],\n \"descriptors\": [\n {\n \"key\": \"<string>\"\n }\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.riskportal.activeviam.com/api/MarketData/GetFxCrosses")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json-patch+json'
request.body = "{\n \"$type\": \"Derivitec.Web.Core.MarketData.ApiGetFxCrossesRequest, Derivitec.Web.Core\",\n \"fx_pairs\": [\n \"<string>\"\n ],\n \"market_dates\": [\n \"2023-11-07T05:31:56Z\"\n ],\n \"descriptors\": [\n {\n \"key\": \"<string>\"\n }\n ]\n}"
response = http.request(request)
puts response.read_body{
"$type": "Derivitec.Web.Core.MarketData.ApiGetFxCrossesResponse, Derivitec.Web.Core",
"is_success": true,
"error_messages": [
"<string>"
],
"fx_crosses": [
{
"$type": "Derivitec.Web.Core.MarketData.FxCross, Derivitec.Web.Core",
"provider_id": "<string>",
"derivitec_created": "<string>",
"derivitec_modified": "<string>",
"uploaded_date_time": "<string>",
"derivitec_modified_by": "<string>",
"uploaded_by": "<string>",
"rolled": false,
"reference_date": "2023-11-07T05:31:56Z",
"domestic_discount_curve": {
"$type": "Derivitec.Web.Core.MarketData.DiscountCurve, Derivitec.Web.Core",
"provider_id": "<string>",
"derivitec_created": "<string>",
"derivitec_modified": "<string>",
"uploaded_date_time": "<string>",
"derivitec_modified_by": "<string>",
"uploaded_by": "<string>",
"rolled": false,
"currency": "<string>",
"curve_name": "<string>",
"discount_factors": [
123
],
"extrapolate": true,
"maturities": [
123
],
"value_date": "2023-11-07T05:31:56Z"
},
"fixings_by_source": [
{
"key": "<string>",
"value": {
"$type": "Derivitec.Web.Core.MarketData.Fixings, Derivitec.Web.Core",
"asset_id": "<string>",
"dates": [
"<string>"
],
"values": [
123
]
}
}
],
"high_fixings_by_source": [
{
"key": "<string>",
"value": {
"$type": "Derivitec.Web.Core.MarketData.Fixings, Derivitec.Web.Core",
"asset_id": "<string>",
"dates": [
"<string>"
],
"values": [
123
]
}
}
],
"low_fixings_by_source": [
{
"key": "<string>",
"value": {
"$type": "Derivitec.Web.Core.MarketData.Fixings, Derivitec.Web.Core",
"asset_id": "<string>",
"dates": [
"<string>"
],
"values": [
123
]
}
}
],
"fx_pair": "<string>",
"roll_fixing": 123,
"settlement": {
"$type": "Derivitec.Web.Core.StaticData.FxSettlement, Derivitec.Web.Core",
"domestic_calendar": {
"$type": "Derivitec.Web.Core.StaticData.Calendar, Derivitec.Web.Core",
"holidays": [
"2023-11-07T05:31:56Z"
],
"include_weekends": true,
"name": "<string>"
},
"foreign_calendar": {
"$type": "Derivitec.Web.Core.StaticData.Calendar, Derivitec.Web.Core",
"holidays": [
"2023-11-07T05:31:56Z"
],
"include_weekends": true,
"name": "<string>"
},
"is_special_lat_am_cross": true,
"settlement_lag": 123,
"usd_calendar": {
"$type": "Derivitec.Web.Core.StaticData.Calendar, Derivitec.Web.Core",
"holidays": [
"2023-11-07T05:31:56Z"
],
"include_weekends": true,
"name": "<string>"
}
},
"spot": 123,
"foreign_discount_curve": {
"$type": "Derivitec.Web.Core.MarketData.DiscountCurve, Derivitec.Web.Core",
"provider_id": "<string>",
"derivitec_created": "<string>",
"derivitec_modified": "<string>",
"uploaded_date_time": "<string>",
"derivitec_modified_by": "<string>",
"uploaded_by": "<string>",
"rolled": false,
"currency": "<string>",
"curve_name": "<string>",
"discount_factors": [
123
],
"extrapolate": true,
"maturities": [
123
],
"value_date": "2023-11-07T05:31:56Z"
},
"is_quoted_fx_cross": false
}
]
}Retrieve FX crosses from pair descriptors and market dates.
Use this operation when callers need fully described FX-cross market data rather than raw observations. Data is retrieved for every requested pairing of descriptor and market date and returned under the supplied conventional pair codes. The operation is read-only.
curl --request POST \
--url https://api.riskportal.activeviam.com/api/MarketData/GetFxCrosses \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json-patch+json' \
--data '
{
"$type": "Derivitec.Web.Core.MarketData.ApiGetFxCrossesRequest, Derivitec.Web.Core",
"fx_pairs": [
"<string>"
],
"market_dates": [
"2023-11-07T05:31:56Z"
],
"descriptors": [
{
"key": "<string>"
}
]
}
'import requests
url = "https://api.riskportal.activeviam.com/api/MarketData/GetFxCrosses"
payload = {
"$type": "Derivitec.Web.Core.MarketData.ApiGetFxCrossesRequest, Derivitec.Web.Core",
"fx_pairs": ["<string>"],
"market_dates": ["2023-11-07T05:31:56Z"],
"descriptors": [{ "key": "<string>" }]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json-patch+json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json-patch+json'},
body: JSON.stringify({
$type: 'Derivitec.Web.Core.MarketData.ApiGetFxCrossesRequest, Derivitec.Web.Core',
fx_pairs: ['<string>'],
market_dates: ['2023-11-07T05:31:56Z'],
descriptors: [{key: '<string>'}]
})
};
fetch('https://api.riskportal.activeviam.com/api/MarketData/GetFxCrosses', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.riskportal.activeviam.com/api/MarketData/GetFxCrosses",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'$type' => 'Derivitec.Web.Core.MarketData.ApiGetFxCrossesRequest, Derivitec.Web.Core',
'fx_pairs' => [
'<string>'
],
'market_dates' => [
'2023-11-07T05:31:56Z'
],
'descriptors' => [
[
'key' => '<string>'
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json-patch+json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.riskportal.activeviam.com/api/MarketData/GetFxCrosses"
payload := strings.NewReader("{\n \"$type\": \"Derivitec.Web.Core.MarketData.ApiGetFxCrossesRequest, Derivitec.Web.Core\",\n \"fx_pairs\": [\n \"<string>\"\n ],\n \"market_dates\": [\n \"2023-11-07T05:31:56Z\"\n ],\n \"descriptors\": [\n {\n \"key\": \"<string>\"\n }\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json-patch+json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.riskportal.activeviam.com/api/MarketData/GetFxCrosses")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json-patch+json")
.body("{\n \"$type\": \"Derivitec.Web.Core.MarketData.ApiGetFxCrossesRequest, Derivitec.Web.Core\",\n \"fx_pairs\": [\n \"<string>\"\n ],\n \"market_dates\": [\n \"2023-11-07T05:31:56Z\"\n ],\n \"descriptors\": [\n {\n \"key\": \"<string>\"\n }\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.riskportal.activeviam.com/api/MarketData/GetFxCrosses")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json-patch+json'
request.body = "{\n \"$type\": \"Derivitec.Web.Core.MarketData.ApiGetFxCrossesRequest, Derivitec.Web.Core\",\n \"fx_pairs\": [\n \"<string>\"\n ],\n \"market_dates\": [\n \"2023-11-07T05:31:56Z\"\n ],\n \"descriptors\": [\n {\n \"key\": \"<string>\"\n }\n ]\n}"
response = http.request(request)
puts response.read_body{
"$type": "Derivitec.Web.Core.MarketData.ApiGetFxCrossesResponse, Derivitec.Web.Core",
"is_success": true,
"error_messages": [
"<string>"
],
"fx_crosses": [
{
"$type": "Derivitec.Web.Core.MarketData.FxCross, Derivitec.Web.Core",
"provider_id": "<string>",
"derivitec_created": "<string>",
"derivitec_modified": "<string>",
"uploaded_date_time": "<string>",
"derivitec_modified_by": "<string>",
"uploaded_by": "<string>",
"rolled": false,
"reference_date": "2023-11-07T05:31:56Z",
"domestic_discount_curve": {
"$type": "Derivitec.Web.Core.MarketData.DiscountCurve, Derivitec.Web.Core",
"provider_id": "<string>",
"derivitec_created": "<string>",
"derivitec_modified": "<string>",
"uploaded_date_time": "<string>",
"derivitec_modified_by": "<string>",
"uploaded_by": "<string>",
"rolled": false,
"currency": "<string>",
"curve_name": "<string>",
"discount_factors": [
123
],
"extrapolate": true,
"maturities": [
123
],
"value_date": "2023-11-07T05:31:56Z"
},
"fixings_by_source": [
{
"key": "<string>",
"value": {
"$type": "Derivitec.Web.Core.MarketData.Fixings, Derivitec.Web.Core",
"asset_id": "<string>",
"dates": [
"<string>"
],
"values": [
123
]
}
}
],
"high_fixings_by_source": [
{
"key": "<string>",
"value": {
"$type": "Derivitec.Web.Core.MarketData.Fixings, Derivitec.Web.Core",
"asset_id": "<string>",
"dates": [
"<string>"
],
"values": [
123
]
}
}
],
"low_fixings_by_source": [
{
"key": "<string>",
"value": {
"$type": "Derivitec.Web.Core.MarketData.Fixings, Derivitec.Web.Core",
"asset_id": "<string>",
"dates": [
"<string>"
],
"values": [
123
]
}
}
],
"fx_pair": "<string>",
"roll_fixing": 123,
"settlement": {
"$type": "Derivitec.Web.Core.StaticData.FxSettlement, Derivitec.Web.Core",
"domestic_calendar": {
"$type": "Derivitec.Web.Core.StaticData.Calendar, Derivitec.Web.Core",
"holidays": [
"2023-11-07T05:31:56Z"
],
"include_weekends": true,
"name": "<string>"
},
"foreign_calendar": {
"$type": "Derivitec.Web.Core.StaticData.Calendar, Derivitec.Web.Core",
"holidays": [
"2023-11-07T05:31:56Z"
],
"include_weekends": true,
"name": "<string>"
},
"is_special_lat_am_cross": true,
"settlement_lag": 123,
"usd_calendar": {
"$type": "Derivitec.Web.Core.StaticData.Calendar, Derivitec.Web.Core",
"holidays": [
"2023-11-07T05:31:56Z"
],
"include_weekends": true,
"name": "<string>"
}
},
"spot": 123,
"foreign_discount_curve": {
"$type": "Derivitec.Web.Core.MarketData.DiscountCurve, Derivitec.Web.Core",
"provider_id": "<string>",
"derivitec_created": "<string>",
"derivitec_modified": "<string>",
"uploaded_date_time": "<string>",
"derivitec_modified_by": "<string>",
"uploaded_by": "<string>",
"rolled": false,
"currency": "<string>",
"curve_name": "<string>",
"discount_factors": [
123
],
"extrapolate": true,
"maturities": [
123
],
"value_date": "2023-11-07T05:31:56Z"
},
"is_quoted_fx_cross": false
}
]
}Authorizations
OAuth2 access-token requested from AWS Cognito and provided as a Auth Bearer header
Body
The query payload. FxPairs, Descriptors, and MarketDates must all be non-empty; pair codes use the conventional six-character format and dates use ISO 8601 date/time values.
Queries FX cross market data by pair or descriptor across market dates.
Derivitec.Web.Core.MarketData.ApiGetFxCrossesRequest, Derivitec.Web.Core FX pairs that narrow the FX crosses operation.
Market dates on which FX crosses are requested.
Structured selectors for the requested FX crosses.
Show child attributes
Show child attributes
Response
Returns the available FX crosses for the requested descriptors and dates, together with lookup errors.
Returns FX cross market-data records and query errors.
Derivitec.Web.Core.MarketData.ApiGetFxCrossesResponse, Derivitec.Web.Core Whether the operation completed successfully. The default is true; error outcomes set it to false.
true
Messages explaining operation-level failures. The collection is empty by default.
FX cross market-data records returned by the query.
Show child attributes
Show child attributes
Was this page helpful?